GHOST_SDL broke in 0940e89e604d
Closed, ResolvedPublic

Description

In commit 0940e89e604d, pure virtual methods such as createOffscreenContext() and disposeContext() have been added to GHOST_ISystem, making Blender unable to build with -DWITH_GHOST_SDL.

As a side note, it would be useful to add this configuration to your CI, in order to prevent future breakage in this area.

Details

Type
Bug
LazyDodo (LazyDodo) closed this task as Archived.Jun 13 2018, 2:23 PM
LazyDodo (LazyDodo) claimed this task.

From the bug report page.

What not to report here

  • Feature requests, see the developer contact page.
  • Items that are already on our To Do list.
  • Compile or build issues, ask on #blendercoders or mail bf-committers.

sadly i have to abide by the tracker rules and have to close this ticket.

Clément Foucault (fclem) claimed this task.
Clément Foucault (fclem) edited projects, added BF Blender: 2.8; removed BF Blender.
Bastien Montagne (mont29) triaged this task as Confirmed priority.Jul 20 2018, 4:08 PM
Clément Foucault (fclem) closed this task as Resolved.Jul 27 2018, 4:30 PM